function getcolumns(id) {
  return {
    columns: [
      {
        title: '标准编号',
        dataIndex: 'standardNo',
        key: 'standardNo',
        formItemProps: {
          rules: [
            {
              required: false,
              message: '此项为必填项',
            },
          ],
        },
        hideInForm: true,
      },
      {
        title: '点检类型',
        dataIndex: 'checkTypeName',
        key: 'checkType',
        valueType: 'select',
        options: [
          {
            label: '制造点检',
            value: 1,
          },
          {
            label: '设备点检',
            value: 2,
          },
        ],
        fieldProps: {
          dropdownMatchSelectWidth: 100,
        },
      },
      {
        title: '设备型号',
        dataIndex: 'equipmentModelName',
        key: 'equipmentModelId',
        hideInSearch: true,
        formItemProps: {
          rules: [
            {
              required: true,
              message: '此项为必填项',
            },
          ],
        },
        valueType: 'select',
        mode: 'radio',
        options: {
          path: '/check/umEquipmentCheckStandard/queryModelByType',
          linkParams: {
            checkType: '',
          },
          extraParams: { id },
        },
        fieldProps: {
          placeholder: '请选择',
          showSearch: true,
        },
      },
      {
        title: '设备型号',
        dataIndex: 'equipmentModelName',
        key: 'equipmentModelId',
        hideInForm: true,
        hideInTable: true,
        formItemProps: {
          rules: [
            {
              required: true,
              message: '此项为必填项',
            },
          ],
        },
        valueType: 'select',
        mode: 'radio',
        options: {
          path: '/asset/equipmentModel/query/selection',
        },
        fieldProps: {
          placeholder: '请选择',
          showSearch: true,
        },
      },
      {
        title: '备注',
        dataIndex: 'remark',
        key: 'remark',
        valueType: 'textarea',
        colProps: {
          span: 24,
        },
        hideInSearch: true,
        hideInDescriptions: true,
      },
    ],
    pathconfig: {
      enableadd: true,
      enableedit: true,
      enabledelete: true,
      enabledetail: false,
      add: '/check/umEquipmentCheckStandard/save',
      edit: '/check/umEquipmentCheckStandard/save',
      list: '/check/umEquipmentCheckStandard/queryList',
      delete: '/check/umEquipmentCheckStandard/deleteById',
      detail: '',
    },
  };
}
export default getcolumns;
